// Page loaded
jQuery(window).on('load', function() {
	// Slider
	$('.flexslider').flexslider({
		animation: "slide",
		controlNav: null,
		prevText: "",
		nextText: "",
		start: function() {
			var $flexslider = $('.flexslider ul');
			$flexslider.removeClass('flexslider-loading');
			$flexslider.hide();
			$flexslider.fadeIn();
		}
	});
});

// Document ready
jQuery(document).ready(function() {

	// Wow
	new WOW({
		mobile: false
	}).init();

	// Init e-mail links
	$('.email_link').each(function() {
		var $this = $(this);
		var name = $this.data('name');
		var domain = $this.data('domain');
		var tld = $this.data('tld');
		var addr = name + '@' + domain + '.' + tld;
		$this.attr('href', 'mailto:' + addr);
		$this.html(addr);
	});

	$('.phone_link').each(function() {
		var $this = $(this);
		if ($this.attr('href')) return;
		var phone_num = $this.text().replace(/[^0-9+]/g, '');
		$this.attr('href', 'tel:' + phone_num);
	});

	// image popup
	$('.magnific-popup-item img').magnificPopup({
		type: 'image',
		mainClass: 'mfp-fade',
		gallery: {
			enabled: true,
			navigateByImgClick: true,
			tPrev: 'Edellinen (vasen nuolinäppäin)',
			tNext: 'Seuraava (oikea nuolinäppäin)',
			tCounter: '%curr% / %total%',
			preload: [0,1] // Will preload 0 - before current, and 1 after the current image
		},
		image: {
			tError: 'Kuvan lataaminen ei onnistunut',
			titleSrc: function(item) {
				return item.el.siblings('.portfolio-box-text').find('h3').text();
			}
		},
	});
	
	$('.match-height').matchHeight();
	
    // If inside iFrame, do some magic to allow editable images inside non-editable links and add class to body
	if (window.top.location != window.location) {
	    $('body').addClass('in-editor');
	}

	var isScrolled = false;
	var $win = $(window);
	var $body = $('body');
	var $topNavHeight = $('#main-navigation').height();
	$win.scroll(function() {
		if ($win.scrollTop() >= $topNavHeight) {
			if (!isScrolled) {
				isScrolled = true;
				$body.addClass('scrolled');
			}
		} else {
			if (isScrolled) {
				isScrolled = false;
				$body.removeClass('scrolled');
			}
		}
	});

	$('form.ajax-form').on('submit', function(e) {

		var $form = $(this);

        e.preventDefault();

        if ( $form.parsley().isValid() ) {

    		var url = $form.attr('action');
    		var data = $form.serialize();
    
    		$.post(url, data).done(function(data) {
    
    			alert($form.data('success-msg'));
    
    		}).fail(function() {
    
    			alert($form.data('error-msg'));
    
    		});
    	}

		return false;
	});
});

